Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Some video content can not be displayed.

  • 3 replies
  • 0 have this problem
  • 38 views
  • Paskiausią atsakymą parašė Ben Engbers

more options

I use a laptop with Fedora 36 installed. Firefox is version 104.0.1

Until a few days ago, there were no problems with video display. But since a few days, video content that is offered by the news site from NOS (Dutch television) is not displayed anymore. I only get this error: The media playback was aborted due to a corruption problem or because the media used features your browser did not support.

Also some content on Youtube aborts. For example loading https://www.youtube.com/watch?v=qq0BUiEs3JM results in this error: Er is een fout opgetreden. Probeer het later opnieuw. (Afspeel-ID: Ui0fzPxdSexgYcZ4).' (An error occured, try later again).

When using the Chrome Browser both websites can be used without giving errors implying that all the codecs are available.

How can I detect why video is blocked?

(Twitter also gives problems. After a fraction of a second, it stops displaying video)

I use a laptop with Fedora 36 installed. Firefox is version 104.0.1 Until a few days ago, there were no problems with video display. But since a few days, video content that is offered by the news site from NOS (Dutch television) is not displayed anymore. I only get this error: ''The media playback was aborted due to a corruption problem or because the media used features your browser did not support.'' Also '''some''' content on Youtube aborts. For example loading https://www.youtube.com/watch?v=qq0BUiEs3JM results in this error: ''Er is een fout opgetreden. Probeer het later opnieuw. (Afspeel-ID: Ui0fzPxdSexgYcZ4).' (An error occured, try later again). When using the Chrome Browser both websites can be used without giving errors implying that all the codecs are available. How can I detect why video is blocked? (Twitter also gives problems. After a fraction of a second, it stops displaying video)

Modified by Ben Engbers

Chosen solution

After a reboot everything seems to be working. I don't know if it was the reboot or the removal of libwscale or libresample which solved the problem.

Skaityti atsakymą kartu su kontekstu 👍 0

All Replies (3)

more options

You can check the Web Console for media related messages.

Make sure you have the latest FFmpeg and libavcodec packages installed.


If you use extensions ("3-bar" menu button or Tools -> Add-ons -> Extensions) that can block content (Adblock Plus, NoScript, DuckDuckGo PE, Disconnect, Ghostery, Privacy Badger, uBlock Origin) always make sure such extensions do not block content.

Firefox shows a purple shield instead of a gray shield at the left end of the location/address bar in case Enhanced Tracking Protection is blocking content.

  • click the shield icon for more detail and possibly disable the protection

You can check the Web Console for relevant-looking messages about blocked content.


You can try these steps in case of issues with webpages:

You can reload webpage(s) and bypass the cache to refresh possibly outdated or corrupted files.

  • hold down the Shift key and left-click the Reload button
  • press "Ctrl + F5" or press "Ctrl + Shift + R" (Windows,Linux)
  • press "Command + Shift + R" (Mac)

Clear the Cache and remove the Cookies for websites that cause problems via the "3-bar" Firefox menu button (Settings).

"Remove the Cookies" for websites that cause problems:

  • Settings -> Privacy & Security
    Cookies and Site Data: "Manage Data"

"Clear the Cache":

  • Settings -> Privacy & Security
    Cookies and Site Data -> Clear Data -> [X] Cached Web Content -> Clear

Start Firefox in Troubleshoot Mode to check if one of the extensions ("3-bar" menu button or Tools -> Add-ons -> Extensions) or if hardware acceleration or userChrome.css is causing the problem.

  • switch to the DEFAULT theme: "3-bar" menu button or Tools -> Add-ons -> Themes
  • do NOT click the "Refresh Firefox" button on the Troubleshoot Mode start window

Helpful?

more options

Hi,

Attempts to (re)install ffmpeg and libavcodec resulted in errors. After adding --allowerasing and --skip-broken to the command I got the following output:

> sudo dnf install ffmpeg libavcodec-free --allowerasing --skip-broken Laatste metadata-expiratie-check: 0:02:04 geleden op di 13 sep 2022 12:27:48 CEST. Pakket libavcodec-free-5.0.1-11.fc36.x86_64 is al geïnstalleerd. Afhankelijkheden opgelost.

Probleem: pakket ffmpeg-libs-5.0.1-3.fc36.x86_64 conflicteert met libavcodec-free aangeboden door libavcodec-free-5.0.1-11.fc36.x86_64

- pakket ffmpeg-5.0.1-3.fc36.x86_64 vereist ffmpeg-libs(x86-64) = 5.0.1-3.fc36, maar niets van de aanbieders kan worden geïnstalleerd
- kan de beste kandidaat voor de taak niet installeren (can't install best candidate)
- tegenstrijdige verzoeken (contradicting requests)
==================================================================

Pakket Architectuur Versie Repo Grootte

==================================================================

Conflicterende pakketten overslaan: (voeg '--best' toe aan opdrachtregel om upgrade te forceren): ffmpeg-libs x86_64 5.0.1-3.fc36 rpmfusion-free 8.7 M Pakketten overslaan met defecte afhankelijkheden : (skip defects) ffmpeg x86_64 5.0.1-3.fc36 rpmfusion-free 1.6 M

Transactie-overzicht

==================================================================

Overslaan 2 Pakketten

Installing ffmpeg gave this output:

> sudo dnf install ffmpeg Laatste metadata-expiratie-check: 0:02:29 geleden op di 13 sep 2022 12:27:48 CEST. Fout: Probleem: probleem met geïnstalleerd pakket libswscale-free-5.0.1-11.fc36.x86_64

- pakket ffmpeg-libs-5.0.1-3.fc36.x86_64 conflicteert met libswscale-free aangeboden door libswscale-free-5.0.1-11.fc36.x86_64
- pakket ffmpeg-libs-5.0.1-3.fc36.x86_64 conflicteert met libswscale-free aangeboden door libswscale-free-5.0.1-1.fc36.x86_64
- pakket ffmpeg-5.0.1-3.fc36.x86_64 vereist ffmpeg-libs(x86-64) = 5.0.1-3.fc36, maar niets van de aanbieders kan worden geïnstalleerd
- tegenstrijdige verzoeken

After removing libswscale-free, the next attempt to install ffmpeg learned me that there were conflicts with libswresample. After removing libswresample, I was able to reinstall ffmpeg but I still cannot install libavcodec, due to conflicts with ffmpeg-libs.

I also tried to reinstall libswscale and libswresample but both installs tried to remove ffmpeg, ffmpwg-libs and libavdevice. > sudo dnf install libswscale-free-devel --allowerasing Laatste metadata-expiratie-check: 0:34:56 geleden op di 13 sep 2022 12:35:20 CEST. Afhankelijkheden opgelost.

==================================================================

Pakket Architectuur Versie Repo Grootte

==================================================================

Installeren: libswscale-free-devel x86_64 5.0.1-11.fc36 updates Afhankelijkheden installeren: (dependencies) codec2 x86_64 1.0.1-2.fc36 fedora libavcodec-free x86_64 5.0.1-11.fc36 updates libavutil-free x86_64 5.0.1-11.fc36 updates libavutil-free-devel x86_64 5.0.1-11.fc36 updates libswresample-free x86_64 5.0.1-11.fc36 updates libswscale-free x86_64 5.0.1-11.fc36 updates lpcnetfreedv x86_64 0.2-11.fc36 fedora Afhankelijke pakketten verwijderen: (delete) ffmpeg x86_64 5.0.1-3.fc36 @rpmfusion-free ffmpeg-libs x86_64 5.0.1-3.fc36 @rpmfusion-free libavdevice x86_64 5.0.1-3.fc36 @rpmfusion-free Transactie-overzicht

What is the best way to resolve the conflicts (and reinstall libswscale and libswresample)

Ben

______________________________

On 12-09-2022 23:16, Mozilla Support Forum <no-reply@support.mozilla.org> wrote: > Mozilla Support > > > Some video content can not be displayed.

Helpful?

more options

Chosen Solution

After a reboot everything seems to be working. I don't know if it was the reboot or the removal of libwscale or libresample which solved the problem.

Helpful?

Užduoti klausimą

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.